> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rio.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Create bulk crypto payout

> Creates a bulk crypto payout container to group multiple order payouts into a single consolidated payout.

### Requirements to consume the endpoint.

<CardGroup cols={2}>
  <Card title="Create and modify role" icon="user-lock">
    The user must have the role to create and modify.
  </Card>

  <Card title="User approved" icon="check">
    The user must be approved in at least one country.
  </Card>
</CardGroup>


## OpenAPI

````yaml post /api/payouts/crypto/bulk
openapi: 3.0.0
info:
  version: v1.0.0
  title: Crypto payouts API
  description: API for managing crypto payouts in the Rio platform
servers:
  - url: https://app.sandbox.rio.trade
security:
  - apiKeyAuth: []
paths:
  /api/payouts/crypto/bulk:
    post:
      summary: Create bulk crypto payout
      description: >-
        Creates a bulk crypto payout container to group multiple order payouts
        into a single consolidated payout.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/createBulkCryptoPayoutSchema'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseCreateBulkCryptoPayoutSchema'
          description: Created
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/unauthorizedSchema'
          description: Unauthorized
components:
  schemas:
    createBulkCryptoPayoutSchema:
      type: object
      required:
        - payoutAddressId
        - country
      properties:
        payoutAddressId:
          type: string
          description: The ID of the crypto address where the payout will be sent.
          example: 65ba521a4b3e1bd9eb6a5107
        country:
          type: string
          enum:
            - MX
            - PE
            - CO
          description: The country of the operation.
    responseCreateBulkCryptoPayoutSchema:
      type: object
      properties:
        createdAt:
          type: string
          description: The date and time the bulk payout was created.
          example: '2025-01-04T00:24:28.658Z'
        userId:
          type: string
          description: The unique identifier of the user.
          example: 6757546b4c5d19bf3cd7b09c
        orderIds:
          type: array
          description: List of order IDs associated with this bulk payout.
          items:
            type: string
          example: []
        amount:
          type: number
          description: The total payout amount across all orders.
          example: 0
        crypto:
          type: string
          enum:
            - USDC
            - USDC_POLYGON
            - USDC_POLYGON_NXTB
            - SOL_USDC_PTHX
            - XLM_USDC_5F3T
            - USDT_POLYGON
            - USDT_ERC20
            - TRX_USDT_S2UZ
            - USDT_BSC
          description: The cryptocurrency of the payout.
        payoutAddressId:
          type: string
          description: The ID of the destination crypto address.
          example: 65ba521a4b3e1bd9eb6a5107
        blockchainAddress:
          type: string
          description: The blockchain address where funds will be sent.
          example: '0x1234567890abcdef1234567890abcdef12345678'
        country:
          type: string
          enum:
            - MX
            - PE
            - CO
          description: The country of the operation.
        status:
          type: string
          enum:
            - awaitingOrders
            - awaitingPaymentForOrders
            - awaitingPayoutRequest
            - awaitingPayout
            - awaitingAsyncPayout
            - awaitingAsyncPayoutRequest
            - checkingLiquidity
            - sourcingLiquidity
            - liquiditySourced
            - complete
            - failed
            - cancelled
          description: The current status of the bulk crypto payout.
          example: awaitingOrders
        id:
          type: string
          description: The unique identifier of the bulk crypto payout.
          example: 677890d5d520f9ecb10e9c33
    unauthorizedSchema:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: number
                example: 19
              message:
                type: string
                example: Not authorized
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````